## SeahorseObjectModel

SeahorseObjectModel

## Synopsis

                        SeahorseObjectModel;
    SeahorseObjectModel* seahorse_object_model_new          (gint n_columns,
                                                             GType *types);
    void                seahorse_object_model_set_column_types
                                                            (SeahorseObjectModel *self,
                                                             gint n_columns,
                                                             GType *types);
    void                seahorse_object_model_set_row_object
                                                            (SeahorseObjectModel *self,
                                                             GtkTreeIter *iter,
                                                             SeahorseObject *object);
    SeahorseObject*     seahorse_object_model_get_row_key   (SeahorseObjectModel *self,
                                                             GtkTreeIter *iter);
    GSList*             seahorse_object_model_get_rows_for_object
                                                            (SeahorseObjectModel *self,
                                                             SeahorseObject *object);
    void                seahorse_object_model_remove_rows_for_object
                                                            (SeahorseObjectModel *self,
                                                             SeahorseObject *object);
    void                seahorse_object_model_free_rows     (GSList *rows);

## Description

## Details

### SeahorseObjectModel

    typedef struct {
        GtkTreeStore parent;
    } SeahorseObjectModel;

A GtkTreeModel that can assign certain rows as 'key rows' which are updated when a key is updated.

Signals: update-row: A request to update a row

GtkTreeStore `parent`; | The parent GtkTreeStore

### seahorse_object_model_new ()

    SeahorseObjectModel* seahorse_object_model_new          (gint n_columns,
                                                             GType *types);

`n_columns` : |
`types` : |
Returns : |

### seahorse_object_model_set_column_types ()

    void                seahorse_object_model_set_column_types
                                                            (SeahorseObjectModel *self,
                                                             gint n_columns,
                                                             GType *types);

`self` : |
`n_columns` : |
`types` : |

### seahorse_object_model_set_row_object ()

    void                seahorse_object_model_set_row_object
                                                            (SeahorseObjectModel *self,
                                                             GtkTreeIter *iter,
                                                             SeahorseObject *object);

`self` : |
`iter` : |
`object` : |

### seahorse_object_model_get_row_key ()

    SeahorseObject*     seahorse_object_model_get_row_key   (SeahorseObjectModel *self,
                                                             GtkTreeIter *iter);

`self` : |
`iter` : |
Returns : |

### seahorse_object_model_get_rows_for_object ()

    GSList*             seahorse_object_model_get_rows_for_object
                                                            (SeahorseObjectModel *self,
                                                             SeahorseObject *object);

`self` : |
`object` : |
Returns : |

### seahorse_object_model_remove_rows_for_object ()

    void                seahorse_object_model_remove_rows_for_object
                                                            (SeahorseObjectModel *self,
                                                             SeahorseObject *object);

`self` : |
`object` : |

### seahorse_object_model_free_rows ()

    void                seahorse_object_model_free_rows     (GSList *rows);

`rows` : |